class JenkinsJSONData():
    build_url = 'http://ip:8080/job/my-job/3/'
    job_data = {'downstreamProjects':
                        [{'name': 'job-multiconfig'},
                         {'name': 'job-freestyle'}]}
    job_multiconfig_build_data = {u'builds': [{u'actions': [{u'causes':
                                        [{u'upstreamBuild': 3,
                                         u'upstreamProject': u'my-job'}]},
                           {},
                           {}],
              u'number': 3,
              u'result': u'FAILURE',
              u'url': u'http://ip:8080/job/job-multiconfig/3/'},
             {u'actions': [{u'causes': [{u'upstreamBuild': 2,
                                         u'upstreamProject': u'my-job'}]},
                           {},
                           {}],
              u'number': 2,
              u'result': u'SUCCESS',
              u'url': ''
              u'http://ip:8080/job/job-multiconfig/2/'}, ]}

    job_multiconfig_data = {
                u'activeConfigurations': [{u'color': u'red',
                            u'name': u'distribution=raring,flavor=i386',
                            u'url': u'http://ip:8080/job/job-multiconfig/.' +
                                    '/distribution=raring,flavor=i386/'},
                           {u'color': u'red',
                            u'name': u'distribution=raring,flavor=amd64',
                            u'url': u'http://ip:8080/job/job-multiconfig/.' +
                                    '/distribution=raring,flavor=amd64/'}],
            }

    job_multiconfig_build3_data = {
                    'runs': [{'number': 3,
                               'url': 'http://ip:8080/job/job-multiconfig/' +
                                      './distribution=raring,flavor=amd64/3/'},
                              {'number': 3,
                               'url': 'http://ip:8080/job/job-multiconfig/' +
                               './distribution=raring,flavor=i386/3/'}],
                    'number': 3,

            }
    job_multiconfig_run_data = {
            'result': 'FAILURE',
            'artifacts': [{'relativePath': 'results/coverity/CID_10895.html'},
                          {'relativePath': 'results/coverity/CID_10896.html'}]
            }

    job_freestyle_build_data = {u'builds': [{u'actions': [{u'causes':
                                        [{u'upstreamBuild': 3,
                                         u'upstreamProject': u'my-job'}]},
                           {},
                           {}],
              u'number': 7,
              u'result': u'SUCCESS',
              u'url': u'http://ip:8080/job/job-freestyle/7/'},
             ],
              u'artifacts': []}

    job_freestyle_data = {}

    def get_json_data(self, url, append_api=True):
        url = url.rstrip('/')
        if url == 'http://ip:8080/job/my-job':
            return self.job_data
        elif url == 'http://ip:8080/job/job-multiconfig':
            return self.job_multiconfig_data
        elif url == 'http://ip:8080/job/job-multiconfig/3':
            return self.job_multiconfig_build3_data
        elif url == 'http://ip:8080/job/job-freestyle':
            return self.job_freestyle_data
        elif url == 'http://ip:8080/job/job-freestyle/7':
            return self.job_freestyle_build_data
        elif url == 'http://ip:8080/job/job-multiconfig/' + \
                    './distribution=raring,flavor=amd64/3':
            return self.job_multiconfig_run_data
        elif url == 'http://ip:8080/job/job-multiconfig/' + \
                    './distribution=raring,flavor=i386/3':
            return self.job_multiconfig_run_data
        elif url == 'http://ip:8080/job/job-multiconfig/api/json?' +\
                    'depth=2&tree=builds[number,url,result,' +\
                    'actions[causes[upstreamBuild,upstreamProject]]]':
            return self.job_multiconfig_build_data
        elif url == 'http://ip:8080/job/job-freestyle/api/json?' +\
                    'depth=2&tree=builds[number,url,result,' +\
                    'actions[causes[upstreamBuild,upstreamProject]]]':
            return self.job_freestyle_build_data
